- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Friends

# QWebSecurityOrigin Class Reference

Search for all occurrences

## Detailed Description

Definition at line 37 of file qwebsecurityorigin.h.

`#include <qwebsecurityorigin.h>`

List of all members.

## Public Member Functions
| ~QWebSecurityOrigin ()
QString | scheme () const
QString | host () const
int | port () const
qint64 | databaseUsage () const
qint64 | databaseQuota () const
void | setDatabaseQuota (qint64 quota)
QList< QWebDatabase > | databases () const
| QWebSecurityOrigin (const QWebSecurityOrigin &other)
QWebSecurityOrigin & | operator= (const QWebSecurityOrigin &other)
## Static Public Member Functions
static QList< QWebSecurityOrigin > | allOrigins ()
static void | addLocalScheme (const QString &scheme)
static void | removeLocalScheme (const QString &scheme)
static QStringList | localSchemes ()
## Friends
class | QWebDatabase
class | QWebFrame
class | WebCore::ChromeClientQt

## Constructor & Destructor Documentation

~QWebSecurityOrigin | ( |  | ) |

QWebSecurityOrigin | ( | const QWebSecurityOrigin & | other | ) |

## Member Function Documentation

static QList<QWebSecurityOrigin> allOrigins | ( |  | ) | `[static]`

Search for all occurrences

static void addLocalScheme | ( | const QString & | scheme | ) | `[static]`

Search for all occurrences

static void removeLocalScheme | ( | const QString & | scheme | ) | `[static]`

Search for all occurrences

static QStringList localSchemes | ( |  | ) | `[static]`

Search for all occurrences

QString scheme | ( |  | ) | const

Search for all occurrences

QString host | ( |  | ) | const

Search for all occurrences

int port | ( |  | ) | const

Search for all occurrences

qint64 databaseUsage | ( |  | ) | const

Search for all occurrences

qint64 databaseQuota | ( |  | ) | const

Search for all occurrences

void setDatabaseQuota | ( | qint64 | quota | ) |

Search for all occurrences

QList<QWebDatabase> databases | ( |  | ) | const

Search for all occurrences

QWebSecurityOrigin& operator= | ( | const QWebSecurityOrigin & | other | ) |

## Friends And Related Function Documentation

friend class QWebDatabase `[friend]`

Search for all occurrences

Definition at line 60 of file qwebsecurityorigin.h.

friend class QWebFrame `[friend]`

Search for all occurrences

Definition at line 61 of file qwebsecurityorigin.h.

friend class WebCore::ChromeClientQt `[friend]`

Search for all occurrences

Definition at line 62 of file qwebsecurityorigin.h.

The documentation for this class was generated from the following file:

- QtWebKit/qwebsecurityorigin.h

QWebSecurityOrigin QWebSecurityOrigin QWebSecurityOrigin QWebSecurityOrigin QWebSecurityOrigin QWebSecurityOrigin QWebSecurityOrigin QWebSecurityOrigin QWebSecurityOrigin QWebSecurityOrigin
QWebSecurityOrigin QWebSecurityOrigin QWebSecurityOrigin QWebSecurityOrigin QWebSecurityOrigin QWebSecurityOrigin QWebSecurityOrigin QWebSecurityOrigin QWebSecurityOrigin QWebSecurityOrigin